﻿<MudTreeView MultiSelection="true" Items="@TreeItems">
    <ItemTemplate>
        <MudTreeViewItem @bind-Expanded="@context.IsExpanded" Items="@context.TreeItems">
            <Content>
                <MudTreeViewItemToggleButton @bind-Expanded="@context.IsExpanded" Visible="@context.HasChild" />
                <MudCheckBox T="bool?" ReadOnly="@ReadOnly" Value="@(context.GetCheckedState())" ValueChanged="@((e) => CheckedChanged(context))">@context.Text</MudCheckBox>
            </Content>
        </MudTreeViewItem>
    </ItemTemplate>
</MudTreeView>